﻿@using PagedList;
@using PagedList.Mvc;
@model IPagedList<AHCBL.Dto.Admin.WithdrawalListDto>
@{
    ViewBag.Title = "Withdrawal List";
}
<div class="xp-contentbar" style="margin-top:60px;">
    <div class="row">
        <!-- Start XP Col -->
        <div class="col-md-12 col-lg-12 col-xl-12">
            <div class="card m-b-30">
                <div class="card-header bg-white">
                    <div class="float-left">
                        <h5 class="card-title text-black">출금신청리스트 / ถอนรายการใบสมัคร</h5>
                    </div>
                </div>
                <div class="card-body table-responsive">
                    <div class="xp-alert mt-3">
                        <div class="alert alert-light" role="alert">
                            @using (Html.BeginForm("", "WithdrawalList", FormMethod.Post))
                            {
                                <div class="xp-alert">
                                    <div class="row justify-content-center">
                                        <div class="form-row">
                                            <div class="col-auto">
                                                <div class="input-group mb-2">
                                                    @Html.DropDownList("drp", ViewBag.Search as SelectList, new { @class = "bg-white border form-control" })
                                                </div>
                                            </div>
                                            <div class="col-auto">
                                                <div class="input-group mb-2">
                                                    @Html.TextBox("keyword", ViewBag.CurrentFilter as string, new { @class = "form-control border bg-white", @style = "width: 700px;" })
                                                </div>
                                            </div>
                                            <div class="col-auto">
                                                <button type="submit" class="btn btn-info mb-2"><i class="icon-magnifier mr-2"></i>Search</button>
                                            </div>

                                        </div>
                                    </div>
                                </div>
                            }
                        </div>
                    </div>
                    <div style="min-width:1366px;max-width:100%; margin:auto;">
                        @using (Html.BeginForm("ExportToExcel", "WithdrawalList", FormMethod.Post))
                        {
                            <div class="align-middle">
                                <span class="badge badge-primary badge-pill">전체  @ViewBag.Count 건</span>
                                <span class="badge badge-primary badge-pill">전체 합계  @ViewBag.Amount 점</span>
                                <div class="float-right">
                                    <button type="submit" id="btnExport" style="margin-top:-10px;" class="btn btn-rounded btn-warning"><i class="icon-printer mr-2"></i> Export</button>
                                </div>
                            </div>
                            <div class="table-responsive m-b-30 mt-2">
                                <table class="table table-bordered">
                                    <thead class="thead-dark">
                                        <tr class="text-center">
                                            <th class="align-middle" style="width:100px;">회원아이디 / รหัสสมาชิก</th>
                                            <th class="align-middle" style="width:150px;">이름 / ชื่อ</th>
                                            <th class="align-middle">마블마블 내용 / เนื้อหามหัศจรรย์</th>

                                            <th class="align-middle" style="width:150px;">예금주 / ชื่อธนาคาร</th>
                                            <th class="align-middle" style="width:150px;">예금주 / ชื่อบัญชี</th>
                                            <th class="align-middle" style="width:150px;">계좌번호 / เลขบัญชี</th>

                                            <th class="align-middle" style="width:150px;">출금신청액 / จำนวนเงินที่ถอน</th>
                                            <th class="align-middle" style="width:150px;">수수료 / ค่าธรรมเนียม</th>
                                            <th class="align-middle" style="width:200px;">실지급액 / จ่ายจริง</th>
                                            <th class="align-middle" style="width:150px;">상태 / สถานะ</th>
                                            <th class="align-middle" style="width:150px;">일시 / สร้าง</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @if (Model != null && Model.Count() != 0)
                                        {
                                            foreach (var item in Model)
                                            {
                                                <tr class="text-center">
                                                    <td>
                                                        @Html.DisplayFor(modelItem => item.username)
                                                    </td>
                                                    <td>
                                                        @Html.DisplayFor(modelItem => item.fullname)
                                                    </td>
                                                    <td>
                                                        @Html.DisplayFor(modelItem => item.name)
                                                    </td>
                                                    <td>
                                                        @Html.DisplayFor(modelItem => item.bank_name)
                                                    </td>
                                                    <td>
                                                        @Html.DisplayFor(modelItem => item.acc_name)
                                                    </td>
                                                    <td>
                                                        @Html.DisplayFor(modelItem => item.acc_no)
                                                    </td>
                                                    <td>
                                                        @Html.DisplayFor(modelItem => item.total)
                                                    </td>
                                                    <td>
                                                        -@Html.DisplayFor(modelItem => item.charge)
                                                    </td>
                                                    <td>
                                                        @Html.DisplayFor(modelItem => item.amount)
                                                    </td>
                                                    @*<td>
                                                        @Html.DisplayFor(modelItem => item.active)
                                                    </td>*@
                                                    <td class=" text-right">@Html.DropDownListFor(modelItem => item.status, new SelectList(ViewBag.Status, "Value", "Text", item.status), new { @class = "form-control border bg-white", @onchange = "updatedata(this.value," + item.id + ")" })</td>
                                                    <td>
                                                        @Html.DisplayFor(modelItem => item.create_date)
                                                    </td>
                                                </tr>
                                            }
                                        }
                                        else
                                        {
                                            <tr class="text-center">
                                                <td colspan="11">
                                                    No Data !!
                                                </td>
                                            </tr>
                                        }
                                    </tbody>
                                </table>
                                @{
                                    if (Convert.ToInt32(ViewBag.Count) > ViewBag.Rows)
                                    {
                                        <div class="justify-content-center row">

                                            @Html.PagedListPager(Model, Page => Url.Action("Index", "WithdrawalList", new { Page }))

                                        </div>
                                    }
                                }
                            </div>
                        }
                    </div>
                </div>
            </div>
            <!-- End XP Col -->
        </div>
    </div>

    <script>
        $(function () {
            $("#liMember").addClass("active");
            $("#meWithdrawal").addClass("active");
        });
        function updatedata(val, id) {
            $.ajax({
                type: "POST",
                url: "/WithdrawalList/updatedata",
                data: "{'id':" + id + ",'status':" + val + "}",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (msg) {
                    alert(msg);
                    //location.reload();
                    //location.href = "/Main";
                }
            });
        }
    </script>


